#ifndef COLOR_H
#define COLOR_H

#include <qwidget.h>
#include <qlined.h>
#include <qrangect.h>
#include <qscrbar.h>
#include <qregexp.h> 

class ColorWidget: public QWidget
{
  Q_OBJECT;
 public:
    ColorWidget( QWidget *parent=0, const char *name=0 );
 public slots:
   void  set_red( int red);
   void  set_green(int green);
   void  set_blue(int blue); 
 protected:
   void  paintEvent( QPaintEvent * );
 private:
   void  paintColor( QPainter * );
   void setColor(int red, int green, int blue);
   int r, g, b;
};

class LineEditInt : public QLineEdit
{
  Q_OBJECT;
  public:
    LineEditInt(QWidget *parent = 0, const char *name=0);
    LineEditInt(QRangeControl range, QWidget *parent = 0, 
		 const char *name=0);
    ~LineEditInt();
  public slots:
    void setNum(int);
    void setNum(const char *);
  signals:
    void valueChanged(int);
  private:
    static QRegExp intRegexp;
    void init(int v);
    int value;
    QRangeControl *r;
};

class MyScrollBar: public QScrollBar {
  Q_OBJECT;
  public:
    MyScrollBar(int, int, int, int, int,  
		Orientation, QWidget *parent = 0, 
		const char *name = 0); 
  public slots:
    void setValue(int);
};

#endif // COLOR_H
