#include <qapp.h>
#include <qscrbar.h>
#include <stdio.h>
#include "sbar.h"


// Konstruktor: Nur ein Aufruf des Basisklassen-Konstruktors 
MyScrollBar::MyScrollBar(int min, int max, int stepValue,
 			 int stepPage, int value, 
 			 Orientation or, QWidget *parent,
 			 const char *name) :
   QScrollBar(min, max, stepValue, stepPage, value, or, parent, name){ }

// Slot 'setValue': Benutzt setValue() der Basisklasse nur, wenn sich
// der Wert gendert hat. 

void MyScrollBar::changeValue(int v) {
  emit sbValueChanged(maxValue() -v);
//   printf("setting value %1d\n", v);
//   if (v == value())
//     return;
//   QScrollBar::setValue(v);
}

void MyScrollBar::setValue(int v) {
  printf("setting value %1d\n", v);
  if (v == value())
    return;
  //  QScrollBar::setValue(v);
}


int main( int argc, char **argv )
{

  QApplication a( argc, argv );
  MyScrollBar sb(0,100,1,10,0,QScrollBar::Vertical);
  sb.connect(&sb,SIGNAL(valueChanged(int)),&sb,SLOT(changeValue(int)));
  sb.connect(&sb,SIGNAL(sbValueChanged(int)),&sb,SLOT(setValue(int)));
  sb.show();
  return a.exec();
}
